WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Fix add_options_page Deprecated PHP Notice

[Resolved] Fix add_options_page Deprecated PHP Notice

  • Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /Users/dbushaw/Sites/trainelite/wp-includes/functions.php on line 3017

    Change Line 443 from:

    add_options_page(‘Easy Columns Options’, ‘Easy Columns’, 8, basename(__FILE__), array(&$this, ‘handle_options’));

    To:

    add_options_page(‘Easy Columns Options’, ‘Easy Columns’, ‘manage_options’, basename(__FILE__), array(&$this, ‘handle_options’));

    http://wordpress.org/plugins/easy-columns/

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘[Resolved] Fix add_options_page Deprecated PHP Notice’ is closed to new replies.